package com.repair.controller;


import com.repair.api.RepairReceivingControllerAPI;
import com.repair.common.utils.paramUtils;
import com.repair.model.pojo.RepairReceiving;
import com.repair.model.result.CommonResult;
import com.repair.model.result.PageUtils;
import com.repair.services.RepairReceivingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
@RestController
public class RepairReceivingController implements RepairReceivingControllerAPI {

    @Autowired
    private RepairReceivingService repairReceivingService;

    @Override
    public CommonResult InsertrepairReceiving(RepairReceiving rc, BindingResult bindingResult) {
        if (bindingResult.hasErrors()) {
            String st = paramUtils.getParamError(bindingResult);
            return CommonResult.fail(st);
        }

        int result = repairReceivingService.insertRepairReceiving(rc);

        return result > 0 ? CommonResult.ok("添加成功") : CommonResult.fail("添加失败");
    }

    @Override
    public CommonResult updaterepairReceivingById(RepairReceiving rc, BindingResult bindingResult) {
        if (bindingResult.hasErrors()) {
            String st = paramUtils.getParamError(bindingResult);
            return CommonResult.fail(st);
        }

        int result = repairReceivingService.updateRepairReceiving(rc);

        return result > 0 ? CommonResult.ok("修改成功") : CommonResult.fail("修改失败");
    }

    @Override
    public CommonResult queryPagerepairReceivings(int currentPage, int pageCount, String name) {
        PageUtils<RepairReceiving> result = repairReceivingService.queryPageRepairReceivings(currentPage, pageCount, name);

        return CommonResult.ok(result);
    }

    @Override
    public CommonResult deleterepairReceivingById(int id) {
        RepairReceiving data = repairReceivingService.getRepairById(id);
        if (data == null) {
            return CommonResult.fail("当前数据不存在，删除失败！");
        }

        int result = repairReceivingService.deleteRepairReceivingById(id);

        return result > 0 ? CommonResult.ok("删除成功") : CommonResult.fail("删除失败");
    }
}

